- Home
- API Enriched
- Ddos
- infraprotect
- List of mitigations.
List of mitigations.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigations';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"2026-04-15T12:00:00Z","event_id":"example","namespace":"example","network_id":"example","start_time":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigations \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "2026-04-15T12:00:00Z", "event_id": "example", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z" }'Returns a list of mitigations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET a list of mitigations.
object
End time of metric collection from which data will be considered to build graph. Format: RFC3339 string
Optional: If not specified, then the end_time will be evaluated to
Filter mitigations by an event
Optional: If not specified, then all tenant’s events are considerate.
This request is supported only in system namespace.
Filter mitigations by network
Optional: If not specified, then all tenant’s networks are considerate.
Start time of metric collection from which data will be considered to build graph. Format: RFC3339 string
Optional: If not specified, then the start_time will be evaluated to
Examplegenerated
{ "end_time": "2026-04-15T12:00:00Z", "event_id": "example", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”A successful response.
Response giving a list of mitigations.
object
Filtered mitigations.
Mitigation details.
object
L3/L4 provider identity string.
Creator of the alert (or SOC if created manually)
RFC3339 string of the mitigation end time.
Mitigation ID.
True if the mitigation is still ongoing.
Mitigation name.
ID of the network involved in the mitigation.
Name of the network involved in the mitigation.
Offramp related to the mitigation.
RFC3339 string of the mitigation start time.
Examplegenerated
{ "mitigations": [ { "arbor_id": "example", "creator": "example", "end_time": "2026-04-15T12:00:00Z", "id": "example", "is_ongoing": true, "name": "example", "network_id": "example", "network_name": "example", "offramp": "example", "start_time": "2026-04-15T12:00:00Z" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example